// \:root
  --collection-size: var( --size-6x )
  --collection-background: inherit
  --collection-color: var( --red )
  --collection-font-size: var( --size-3x )

  --collection-item-odd-background: var( --red-moon )
  --collection-item-odd-color: inherit

  --collection-item-hover-background: var( --red-moon-2x )
  --collection-item-hover-color: inherit

  --collection-button-background: inherit
  --collection-button-color: inherit
  --collection-button-hover-background: var( --red-moon-2x )
  --collection-button-hover-color: inherit

ul
  background: var( --collection-background )
  color: var( --collection-color )

  li
    height: var( --collection-size )
    display: flex

    font-size: var( --collection-font-size )

    figure
      min-width: var( --collection-size )
      height: var( --collection-size )
      display: flex
      justify-content: center
      align-items: center

    input
      padding-left: var( --spacing )

    label
      flex: 1
      height: var( --collection-size )
      line-height: var( --collection-size )

      white-space: nowrap
      overflow: hidden
      text-overflow: ellipsis

      padding-left: var( --spacing )

    button
      min-width: var( --collection-size )
      height: var( --collection-size )

      background: var( --collection-button-background )
      color: var( --collection-button-color )

      &:hover
        background: var( --collection-button-hover-background )
        color: var( --collection-button-hover-color )

    menu
      display: flex

    &:nth-child( odd )
      background: var( --collection-item-odd-background )

    &:hover
      background: var( --collection-item-hover-background )
      color: var( --collection-item-hover-color )
